Subject: Re: Problems with GNU make.exe on win98 (reformatted)
From: "Johan Bezem" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 23 Aug 2002 10:30:15 +0200

Don't expect much: -b20 is ancient, as is make 3.75.
Goto www.cygwin.com and reinstall first.

Ciao,

Johan Bezem
CSK Software AG

[email-masked] wrote:
> 
> Hi,
> 
> Heres the environment:
> Win 98, cygwin-b20, make 3.75, DOS shell
> 
> Whenever I try to run make in a DOS shell, I get several
> "Bad command or file name" errors. I discovered that I was
> getting this error only for commands that are also part of
> the standard DOS (command.com) library. This does not appear
> to be a path problem since all non-DOS commands work fine.
> Also, I am able to run the same DOS command outside of make.
> 
> Scenario:
> If I place a "mkdir xxx" in the the makefile and run make,
> I get the mentioned error. However, I can run that same
> command at the DOS prompt, and it works fine. If I go to the
> cygwin bin directory, rename mkdir.exe to mkdir_test.exe,
> then adjust the makefile to contain "mkdir_test xxx",
> everything will work.
> 
> So, is it possible that make.exe is not looking outside the
> DOS command shell for commands that are part of the standard
> DOS library? But, it works for all other commands that are
> in the PATH?
> 
> I have tried setting my PATH so that the cygwin/bin
> directory is first, this does not help. This same
> environment works fine on Win 2000. Any help would be
> appreciated... Thanks.
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/